- 2020-07-16
  - Received notification about upcoming snippet changes.
- 2020-07-17
  - Received notification that changes are ready.
  - Published internal release announcement.
- 2020-07-20
  - Created release notes draft.
- 2020-07-21
  - Received QA LGTM.
  - Received builds.
  - Published to CWS.
  - Published to AMO.
  - Published to Opera store.
  - Published release notes.
  - Noticed that release is live on AMO.
- 2020-07-23
  - Noticed that release is live on CWS.
